import { EventEmitter } from '@angular/core';
import { LocalStorageService } from '@armor/platform-browser';
export declare class ThemeService {
    private localStorageService;
    constructor(localStorageService: LocalStorageService);
    selectedTheme: string;
    selectedThemeChanged$: EventEmitter<string>;
    headElement: Node;
    readonly themePreferenceKey: string;
    readonly defaultTheme: string;
    readonly themeOptions: string[];
    loadThemeStylesheet(): void;
    getHeadElement(): Node;
    setPreference(theme: string): void;
    createLinkElement(pref: string): HTMLLinkElement;
    getPreference(): string;
}
